Bug 79455 - Serial console install syntax error in grub
Serial console install syntax error in grub
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-12-11 14:45 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-23 10:47:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-11 14:45:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:
Gecko/20020314 Netscape6/6.2.2

Description of problem:
On installing rh80 using a serial line terminal as console anaconda installs
grub with a sytax error in the grub configuration screen.

In order to define the serial line to grub there is a line:

serial --unit=0 --speed=96

This should be

serial --unit=0 --speed=9600

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Indstall rh80 useing serial console
2. after reboot you don't see grub on the serial console.
3. you see the kernel messages on the console
4. vi /etc/grub.cfg and change the "serial"-line
5. reboot and you see grub on the serial console.

Expected Results:  grub should be seen and on the serial console and you should
be able to use grub on the serial console.

Additional info:
Comment 1 Jeremy Katz 2002-12-16 22:26:42 EST
Did you boot the installer with any command line arguments?  We read the
arguments directly from what is passed for use during installation
Comment 2 Need Real Name 2002-12-23 10:30:34 EST
In order to boot a headless system I use the following modified syslinux.cfg on
a bootnet.img floppy:
default text
prompt 1
timeout 10
display boot.msg
F1 boot.msg
label text
  kernel vmlinuz
  append initrd=initrd.img lang= text devfs=nomount ramdisk_size=9216
label ks
  kernel vmlinuz
  append ks=floppy initrd=initrd.img lang= devfs=nomount ramdisk_size=9216

You say that you read the arguments directly from what is passed for use during
installation. You can do that if you install the lilo bootloader, because it
uses the same syntax for serial line definition as the linux kernel does.

Grub on the other hand uses a different syntax. The baudrate is the example:
The linux boot argument uses "96" for baudrate 9600, whereas GRUB uses "9600" to
set the baudrate to 9600 baud.
Comment 3 Jeremy Katz 2002-12-23 10:47:20 EST
No, the correct kernel syntax is 

which then gets transformed properly into grub syntax.
Comment 4 Need Real Name 2002-12-24 05:55:06 EST
OK ttyS0,9600n8 might be the good syntax, but ttyS0,96n8 is also a good syntax
for the kernel but this syntax is NOT good for grub. Practice has proven this
point to be true.

And that was the essence of my bug report.

Further it is up to you as what you do with this info.

Note You need to log in before you can comment on or make changes to this bug.